Bug 52289 - [Qt] cookiesEnabled could create the cookieJar on the wrong thread.
Summary: [Qt] cookiesEnabled could create the cookieJar on the wrong thread.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Critical
Assignee: Benjamin Poulain
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2011-01-12 03:48 PST by Jocelyn Turcotte
Modified: 2011-02-08 01:01 PST (History)
4 users (show)

See Also:


Attachments
Patch (6.83 KB, patch)
2011-02-07 11:51 PST, Benjamin Poulain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jocelyn Turcotte 2011-01-12 03:48:37 PST
This will happen if QNetworkAccessManager::cookieJar() is called when the cookie jar hasn't been created in the QNAM yet.

See bug #52081.
Comment 1 Benjamin Poulain 2011-01-12 03:59:03 PST
Thanks Jocelyn for creating the bug report. I'll look into that.
Comment 2 Benjamin Poulain 2011-02-07 11:51:48 PST
Created attachment 81502 [details]
Patch
Comment 3 Jocelyn Turcotte 2011-02-07 12:15:58 PST
(In reply to comment #2)
> Created an attachment (id=81502) [details]
> Patch

I have no authority to say so, but nevertheless this patch LGTM.
Comment 4 Benjamin Poulain 2011-02-07 13:00:13 PST
(In reply to comment #3)
> I have no authority to say so, but nevertheless this patch LGTM.

Thanks for looking, I was hoping you would do so :)
Comment 5 WebKit Commit Bot 2011-02-07 22:27:27 PST
Comment on attachment 81502 [details]
Patch

Clearing flags on attachment: 81502

Committed r77901: <http://trac.webkit.org/changeset/77901>
Comment 6 WebKit Commit Bot 2011-02-07 22:27:32 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Review Bot 2011-02-07 22:54:23 PST
http://trac.webkit.org/changeset/77901 might have broken Qt Linux Release
The following tests are not passing:
http/tests/websocket/tests/websocket-protocol-ignored.html
Comment 8 Benjamin Poulain 2011-02-08 01:01:22 PST
(In reply to comment #7)
> http://trac.webkit.org/changeset/77901 might have broken Qt Linux Release
> The following tests are not passing:
> http/tests/websocket/tests/websocket-protocol-ignored.html

Unlikely related to this patch.